> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usequanta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Poll the org's running or last-finished bulk action



## OpenAPI

````yaml https://app.usequanta.com/openapi/quanta-services-api/openapi.json get /api/bulk_actions/status
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://app.usequanta.com
    description: Production
security:
  - HTTPBearer: []
paths:
  /api/bulk_actions/status:
    get:
      tags:
        - bulk_actions
        - quanta-services-api
      summary: Poll the org's running or last-finished bulk action
      operationId: get_bulk_action_statuses
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/BulkActionStatusResponse'
                type: array
                title: Response Get Bulk Action Statuses
      security:
        - HTTPBearer: []
components:
  schemas:
    BulkActionStatusResponse:
      properties:
        total_count:
          type: integer
          title: Total Count
          default: 0
        completed_count:
          type: integer
          title: Completed Count
          default: 0
        failed_count:
          type: integer
          title: Failed Count
          default: 0
        updated_count:
          type: integer
          title: Updated Count
          default: 0
        unchanged_count:
          type: integer
          title: Unchanged Count
          default: 0
        status:
          $ref: '#/components/schemas/WorkflowExecutionStatus'
          default: 1
        workflow_id:
          type: string
          title: Workflow Id
        bulk_action_type:
          $ref: '#/components/schemas/BulkActionType'
        operation:
          anyOf:
            - $ref: '#/components/schemas/BulkActionOperation'
            - type: 'null'
        working_pay_statement_qids:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Working Pay Statement Qids
      type: object
      required:
        - workflow_id
        - bulk_action_type
      title: BulkActionStatusResponse
    WorkflowExecutionStatus:
      type: integer
      enum:
        - 1
        - 2
        - 3
        - 4
        - 5
        - 6
        - 7
      title: WorkflowExecutionStatus
      description: |-
        Status of a workflow execution.

        See :py:class:`temporalio.api.enums.v1.WorkflowExecutionStatus`.
    BulkActionType:
      type: string
      enum:
        - REPLAY_INVOICES
        - RESET_PAYROLL
        - SPEND
      title: BulkActionType
    BulkActionOperation:
      type: string
      enum:
        - expense_department_backfill
      title: BulkActionOperation
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Quanta Services API scoped bearer token. Supported only on Services API
        routes.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.